关闭

Android Studio打开DDMS : An error has occurred URIUtil

标签: android studio
1492人阅读 评论(0) 收藏 举报
分类:

问题

打开Android Studio Tools—>Android—>Android Device Monitor报错:

An error has occurred. See the log file G:\Android_Studio\android_studio\sdk\tools\lib\monitor-x86_64\configuration\1415727603778.log
打开这个文件:
主要是:java.lang.NullPointerException at org.eclipse.core.runtime.URIUtil.toURI(URIUtil.java:280)…..

具体文件内容如下

!SESSION 2017-08-29 15:27:40.107 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.8.0_112-release
java.vendor=JetBrains s.r.o
BootLoader constants: OS=win32, ARCH=x86_64, WS=win32, NL=zh_CN
Command-line arguments:  -os win32 -ws win32 -arch x86_64 -data @noDefault

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:40.485
!MESSAGE Bundle reference:file:org.apache.ant_1.8.3.v201301120609/@4 not found.

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:40.490
!MESSAGE Bundle reference:file:org.apache.jasper.glassfish_2.2.2.v201205150955.jar@4 not found.

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:40.493
!MESSAGE Bundle reference:file:org.apache.lucene.core_2.9.1.v201101211721.jar@4 not found.

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:40.539
!MESSAGE Bundle reference:file:org.eclipse.help.base_3.6.101.v201302041200.jar@4 not found.

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:40.542
!MESSAGE Bundle reference:file:org.eclipse.help.ui_3.5.201.v20130108-092756.jar@4 not found.

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:40.546
!MESSAGE Bundle reference:file:org.eclipse.help.webapp_3.6.101.v20130116-182509.jar@4 not found.

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:40.551
!MESSAGE Bundle reference:file:org.eclipse.jetty.server_8.1.3.v20120522.jar@4 not found.

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:40.561
!MESSAGE Bundle reference:file:org.eclipse.platform.doc.user_4.2.2.v20130121-200410.jar@4 not found.

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:40.567
!MESSAGE Bundle reference:file:org.eclipse.team.core_3.6.100.v20120524-0627.jar@4 not found.

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:40.569
!MESSAGE Bundle reference:file:org.eclipse.team.ui_3.6.201.v20130125-135424.jar@4 not found.

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:40.573
!MESSAGE Bundle reference:file:org.eclipse.ui.cheatsheets_3.4.200.v20120521-2344.jar@4 not found.

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:40.579
!MESSAGE Bundle reference:file:org.eclipse.ui.intro_3.4.200.v20120521-2344.jar@4 not found.

!ENTRY org.eclipse.osgi 2 0 2017-08-29 15:27:41.382
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.382
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.platform_4.2.2.v201302041200/ was not resolved.
!SUBENTRY 2 org.eclipse.platform 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing required bundle org.eclipse.ui.intro_[3.2.0,4.0.0).
!SUBENTRY 2 org.eclipse.platform 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.382
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.equinox.http.jetty_3.0.1.v20121109-203239.jar was not resolved.
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server_[8.0.0,9.0.0).
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server.nio_[8.0.0,9.0.0).
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server.handler_[8.0.0,9.0.0).
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server.session_[8.0.0,9.0.0).
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server.bio_[8.0.0,9.0.0).
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server.ssl_[8.0.0,9.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.382
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.ltk.ui.refactoring_3.7.0.v20120523-1543.jar was not resolved.
!SUBENTRY 2 org.eclipse.ltk.ui.refactoring 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing required bundle org.eclipse.team.core_[3.4.100,4.0.0).
!SUBENTRY 2 org.eclipse.ltk.ui.refactoring 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing required bundle org.eclipse.team.ui_[3.4.100,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.382
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.equinox.jsp.jasper.registry_1.0.300.v20120912-130548.jar was not resolved.
!SUBENTRY 2 org.eclipse.equinox.jsp.jasper.registry 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.382
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.jetty.security_8.1.3.v20120522.jar was not resolved.
!SUBENTRY 2 org.eclipse.jetty.security 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server_[8.1.0,9.0.0).
!SUBENTRY 2 org.eclipse.jetty.security 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server.handler_[8.1.0,9.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.382
!MESSAGE Bundle initial@reference:file:plugins/org.apache.lucene.analysis_2.9.1.v201101211721.jar was not resolved.
!SUBENTRY 2 org.apache.lucene.analysis 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing required bundle org.apache.lucene.core_[2.9.1,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.382
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.ui.intro.universal_3.2.600.v20120912-155524/ was not resolved.
!SUBENTRY 2 org.eclipse.ui.intro.universal 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing required bundle org.eclipse.ui.intro_[3.4.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.382
!MESSAGE Bundle initial@reference:file:plugins/org.apache.lucene_2.9.1.v201101211721.jar was not resolved.
!SUBENTRY 2 org.apache.lucene 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing required bundle org.apache.lucene.core_[2.9.1,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.382
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.jetty.servlet_8.1.3.v20120522.jar was not resolved.
!SUBENTRY 2 org.eclipse.jetty.servlet 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server.session_[8.1.0,9.0.0).
!SUBENTRY 2 org.eclipse.jetty.servlet 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server.ssl_[8.1.0,9.0.0).
!SUBENTRY 2 org.eclipse.jetty.servlet 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server.nio_[8.1.0,9.0.0).
!SUBENTRY 2 org.eclipse.jetty.servlet 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server.handler_[8.1.0,9.0.0).
!SUBENTRY 2 org.eclipse.jetty.servlet 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.eclipse.jetty.server_[8.1.0,9.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.382
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.equinox.jsp.jasper_1.0.400.v20120912-130548.jar was not resolved.
!SUBENTRY 2 org.eclipse.equinox.jsp.jasper 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing imported package org.apache.jasper.servlet_[0.0.0,6.0.0).
!SUBENTRY 2 org.eclipse.equinox.jsp.jasper 2 0 2017-08-29 15:27:41.382
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))".

!ENTRY org.eclipse.osgi 2 0 2017-08-29 15:27:41.434
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.435
!MESSAGE Bundle org.apache.lucene_2.9.1.v201101211721 [25] was not resolved.
!SUBENTRY 2 org.apache.lucene 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing required bundle org.apache.lucene.core_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing optionally required bundle org.apache.lucene.analysis_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing optionally required bundle org.apache.lucene.highlighter_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing optionally required bundle org.apache.lucene.memory_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing optionally required bundle org.apache.lucene.queries_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing optionally required bundle org.apache.lucene.snowball_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing optionally required bundle org.apache.lucene.spellchecker_[2.9.1,3.0.0).
!SUBENTRY 2 org.apache.lucene 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing optionally required bundle org.apache.lucene.misc_[2.9.1,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.435
!MESSAGE Bundle org.apache.lucene.analysis_2.9.1.v201101211721 [26] was not resolved.
!SUBENTRY 2 org.apache.lucene.analysis 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing required bundle org.apache.lucene.core_[2.9.1,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.435
!MESSAGE Bundle org.eclipse.equinox.http.jetty_3.0.1.v20121109-203239 [90] was not resolved.
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing imported package org.eclipse.jetty.server_[8.0.0,9.0.0).
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing imported package org.eclipse.jetty.server.bio_[8.0.0,9.0.0).
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing imported package org.eclipse.jetty.server.handler_[8.0.0,9.0.0).
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing imported package org.eclipse.jetty.server.nio_[8.0.0,9.0.0).
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing imported package org.eclipse.jetty.server.session_[8.0.0,9.0.0).
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing imported package org.eclipse.jetty.server.ssl_[8.0.0,9.0.0).
!SUBENTRY 2 org.eclipse.equinox.http.jetty 2 0 2017-08-29 15:27:41.435
!MESSAGE Missing imported package org.eclipse.jetty.servlet_[8.0.0,9.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.436
!MESSAGE Bundle org.eclipse.equinox.jsp.jasper_1.0.400.v20120912-130548 [93] was not resolved.
!SUBENTRY 2 org.eclipse.equinox.jsp.jasper 2 0 2017-08-29 15:27:41.436
!MESSAGE Missing imported package org.apache.jasper.servlet_[0.0.0,6.0.0).
!SUBENTRY 2 org.eclipse.equinox.jsp.jasper 2 0 2017-08-29 15:27:41.436
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.436
!MESSAGE Bundle org.eclipse.equinox.jsp.jasper.registry_1.0.300.v20120912-130548 [94] was not resolved.
!SUBENTRY 2 org.eclipse.equinox.jsp.jasper.registry 2 0 2017-08-29 15:27:41.436
!MESSAGE Missing imported package org.eclipse.equinox.jsp.jasper_0.0.0.
!SUBENTRY 2 org.eclipse.equinox.jsp.jasper.registry 2 0 2017-08-29 15:27:41.436
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.436
!MESSAGE Bundle org.eclipse.jetty.security_8.1.3.v20120522 [137] was not resolved.
!SUBENTRY 2 org.eclipse.jetty.security 2 0 2017-08-29 15:27:41.436
!MESSAGE Missing imported package org.eclipse.jetty.server_[8.1.0,9.0.0).
!SUBENTRY 2 org.eclipse.jetty.security 2 0 2017-08-29 15:27:41.436
!MESSAGE Missing imported package org.eclipse.jetty.server.handler_[8.1.0,9.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.436
!MESSAGE Bundle org.eclipse.jetty.servlet_8.1.3.v20120522 [138] was not resolved.
!SUBENTRY 2 org.eclipse.jetty.servlet 2 0 2017-08-29 15:27:41.436
!MESSAGE Missing optionally imported package org.eclipse.jetty.jmx_8.0.0.
!SUBENTRY 2 org.eclipse.jetty.servlet 2 0 2017-08-29 15:27:41.436
!MESSAGE Missing imported package org.eclipse.jetty.security_[8.1.0,9.0.0).
!SUBENTRY 2 org.eclipse.jetty.servlet 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing imported package org.eclipse.jetty.server_[8.1.0,9.0.0).
!SUBENTRY 2 org.eclipse.jetty.servlet 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing imported package org.eclipse.jetty.server.handler_[8.1.0,9.0.0).
!SUBENTRY 2 org.eclipse.jetty.servlet 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing imported package org.eclipse.jetty.server.nio_[8.1.0,9.0.0).
!SUBENTRY 2 org.eclipse.jetty.servlet 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing imported package org.eclipse.jetty.server.session_[8.1.0,9.0.0).
!SUBENTRY 2 org.eclipse.jetty.servlet 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing imported package org.eclipse.jetty.server.ssl_[8.1.0,9.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.437
!MESSAGE Bundle org.eclipse.ltk.ui.refactoring_3.7.0.v20120523-1543 [146] was not resolved.
!SUBENTRY 2 org.eclipse.ltk.ui.refactoring 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing required bundle org.eclipse.team.core_[3.4.100,4.0.0).
!SUBENTRY 2 org.eclipse.ltk.ui.refactoring 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing required bundle org.eclipse.team.ui_[3.4.100,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.437
!MESSAGE Bundle org.eclipse.platform_4.2.2.v201302041200 [149] was not resolved.
!SUBENTRY 2 org.eclipse.platform 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing required bundle org.eclipse.ui.intro_[3.2.0,4.0.0).
!SUBENTRY 2 org.eclipse.platform 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing optionally required bundle org.eclipse.ui.cheatsheets_[3.2.0,4.0.0).
!SUBENTRY 2 org.eclipse.platform 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing required capability Require-Capability: osgi.ee; filter="(|(&(osgi.ee=JavaSE)(version=1.4))(&(osgi.ee=CDC/Foundation)(version=1.0))(&(osgi.ee=JavaSE)(version=1.3)))".
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.437
!MESSAGE Bundle org.eclipse.search_3.8.0.v20120523-1540 [151] was not resolved.
!SUBENTRY 2 org.eclipse.search 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing required bundle org.eclipse.ltk.ui.refactoring_[3.5.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.437
!MESSAGE Bundle org.eclipse.ui.intro.universal_3.2.600.v20120912-155524 [163] was not resolved.
!SUBENTRY 2 org.eclipse.ui.intro.universal 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing required bundle org.eclipse.ui.intro_[3.4.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2017-08-29 15:27:41.437
!MESSAGE Bundle org.eclipse.ui.navigator.resources_3.4.400.v20120705-114010 [165] was not resolved.
!SUBENTRY 2 org.eclipse.ui.navigator.resources 2 0 2017-08-29 15:27:41.437
!MESSAGE Missing required bundle org.eclipse.ltk.ui.refactoring_[3.5.0,4.0.0).

!ENTRY org.eclipse.osgi 4 0 2017-08-29 15:27:41.441
!MESSAGE Application error
!STACK 1
java.lang.NullPointerException
    at org.eclipse.core.runtime.URIUtil.toURI(URIUtil.java:280)
    at org.eclipse.e4.ui.internal.workbench.ResourceHandler.loadMostRecentModel(ResourceHandler.java:127)
    at org.eclipse.e4.ui.internal.workbench.swt.E4Application.loadApplicationModel(E4Application.java:370)
    at org.eclipse.e4.ui.internal.workbench.swt.E4Application.createE4Workbench(E4Application.java:220)
    at org.eclipse.ui.internal.Workbench$5.run(Workbench.java:557)
    at org.eclipse.core.databinding.observable.Realm.runWithDefault(Realm.java:332)
    at org.eclipse.ui.internal.Workbench.createAndRunWorkbench(Workbench.java:543)
    at org.eclipse.ui.PlatformUI.createAndRunWorkbench(PlatformUI.java:149)
    at com.android.ide.eclipse.monitor.MonitorApplication.start(MonitorApplication.java:86)
    at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:196)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:110)
    at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:79)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:353)
    at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:180)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:62)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:498)
    at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:629)
    at org.eclipse.equinox.launcher.Main.basicRun(Main.java:584)
    at org.eclipse.equinox.launcher.Main.run(Main.java:1438)

解决

找遍国内网站都没有这个问题的解决,后来在国外网站找到了。

  1. Ensure you have no other monitor.exe (if on Windows) or monitor (if
    OS X / Linux) process running. If you do, kill it.

  2. Run rm -rf $HOME/.android/monitor-workspace or remove the directory
    manually

就是先在任务管理器进程里面关掉所有 monitor.exe 进程。
再去删除monitor-workspace整个目录,我的在C:\Users\Administrator.android里面,删除完重新打开成功。

传送门:
https://tutel.me/c/programming/questions/26052849/unexpected+error+while+parsing+input+invalid+uiautomator+hierarchy+file

1
0
查看评论
发表评论
* 以上用户言论只代表其个人观点,不代表CSDN网站的观点或立场

An error has occurred on Android Device Monitor

An error has occurred on Android Device Monitor解决方案
  • s003603u
  • s003603u
  • 2017-06-25 18:50
  • 1876

Android Studio 中 An error occurred while creating the AVD.See idea.log for detail

Ubuntu环境下,在Android Studio中创建模拟器时出现“An error occurred while creating the AVD.See idea.log for detail”...
  • BigBoySunshine
  • BigBoySunshine
  • 2017-05-03 19:38
  • 2293

Eclipse出现An error has occurred问题解决方案

今天更新了Android SDK,并把Eclipse重新切换来工作空间,再次打开Eclipse报错,出现“An error has occurred”,"See the log file ******...
  • CHENYUFENG1991
  • CHENYUFENG1991
  • 2015-08-02 22:05
  • 4578

Android Studio打开Android Device Monitor报错

一开始是报failed to load the jni shared library,一脸萌币,然后就各种找解决方法,没找到。不过隐约找到可能是Java的JDK版本问题,所以就把版本从1.8更新到1....
  • baostorm
  • baostorm
  • 2017-11-28 19:16
  • 323

Android Studio launch ddms error

Android Studio launch ddms error 在使用Android studio 的时候,发现在启动DDMS没有反应,再次启动的时候会弹出一个框,提示 already...
  • lyz100417
  • lyz100417
  • 2016-07-22 14:24
  • 507

androidstudio 无法启动ddms

想使用ddms 查看线程数等,但是点击开启,总是会报错,重启也不能恢复,整了好久,后来发现不管什么方法,都得多试试,能解决问题就是好的;在androidstudio中如何启动ddms找到如下,点击 ...
  • lixin88
  • lixin88
  • 2017-03-13 19:21
  • 3654

android studio中ddms显示不出来,报错

我在使用android studio的时候,在调用ddms的时候,它不显示,还报了一个错误。        一般我们在工具栏tools->android->android Device Monito...
  • chenguang79
  • chenguang79
  • 2015-08-12 15:19
  • 4388

Android Studio常见问题以及解决方式

gradle build的时候出现的问题:  Error:Execution failed for task ':app:packageDebug'. Duplicate files copied i...
  • demon_zero
  • demon_zero
  • 2016-09-14 10:53
  • 43180

Android studio启动DDMS失败

今天我用AS启动DDMS失败了,失败的信息是:A Java Runtime Environment (JRE) or Java Development Kit (JDK) must be availa...
  • u013122625
  • u013122625
  • 2017-09-29 18:14
  • 303

android studio 启动Android Devices Monitor 报错

-------------------------==============================================================   ========...
  • baidu_20006317
  • baidu_20006317
  • 2016-06-29 14:34
  • 1489
    欢迎光临!